Name:		cantata
Version:	1.4.1
%define subrel	2
Release:	%mkrel 7
Summary:	Client for the Music Player Daemon (MPD)
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		http://kde-apps.org/content/show.php/Cantata?content=147733
Source0:	http://cantata.googlecode.com/files/cantata-%{version}.tar.bz2
Patch0:		cantata-1.3.4-libsolid_static.patch
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(taglib) >= 1.6
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	ffmpeg-devel
BuildRequires:	taglib-extras-devel
BuildRequires:	cdda-devel
BuildRequires:	pkgconfig(libmusicbrainz5)

Recommends:	mpd

%description
Cantata is a (yet another!) client for the music player daemon (MPD). 
Originally started as a fork of QtMPC, the code is now *very* different. To be 
true to QtMPCs origins, Cantata can be compiled with KDE support, or as a pure 
Qt4 application (however, note that this is not fully tested). The interface 
is very configurable - most views can be shown as either a list or tree 
structure.

%files -f %name.lang
%{_kde_bindir}/%{name}
%{_kde_datadir}/%{name}
%dir %{_kde_prefix}/lib/%{name}
%{_kde_prefix}/lib/cantata/%{name}-replaygain
%{_kde_prefix}/lib/cantata/%{name}-tags
%{_kde_iconsdir}/hicolor/*/*/*
%{_kde_datadir}/applications/%{name}.desktop


#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kde4 
%make

%install
%makeinstall_std -C build
%find_lang %name 


%changelog
* Thu Jun 23 2016 daviddavid <daviddavid> 1.4.1-7.2.mga5
+ Revision: 1037355
- but recommends mpd instead
- do not requires mpd (fixes mga#16678)

* Fri Nov 14 2014 akien <akien> 1.4.1-7.mga5
+ Revision: 797172
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-6.mga5
+ Revision: 741291
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.1-5.mga5
+ Revision: 726011
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-4.mga5
+ Revision: 678306
- Mageia 5 Mass Rebuild

* Wed Sep 10 2014 fwang <fwang> 1.4.1-3.mga5
+ Revision: 674512
- build solid as static

* Wed Sep 10 2014 fwang <fwang> 1.4.1-2.mga5
+ Revision: 674492
- rebuild

* Sun Aug 31 2014 bersuit <bersuit> 1.4.1-1.mga5
+ Revision: 670078
- Update to new Upstream version 1.4.1
- Update to new Upstream version 1.3.4

* Sat Apr 05 2014 juancho <juancho> 1.3.3-1.mga5
+ Revision: 611789
- Updated to 1.3.3

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-2.mga4
+ Revision: 533656
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 fwang <fwang> 1.1.2-1.mga4
+ Revision: 474642
- update installdir for replaygain
- update file list
- new version 1.1.2

* Fri Jul 12 2013 fwang <fwang> 1.0.3-2.mga4
+ Revision: 453256
- fix build with recent ffmpeg
- rebuild for new ffmpeg

* Thu May 30 2013 fwang <fwang> 1.0.3-1.mga4
+ Revision: 433335
- fix desktop file
- update file list
- new version 1.0.3

* Thu Feb 07 2013 juancho <juancho> 0.9.2-1.mga3
+ Revision: 395053
- Updated to 0.9.2 (bugfix release)

* Fri Jan 11 2013 umeabot <umeabot> 0.9.1-3.mga3
+ Revision: 347387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.9.1-2.mga3
+ Revision: 341614
- rebuild for new ffmpeg

* Sat Dec 22 2012 fwang <fwang> 0.9.1-1.mga3
+ Revision: 333798
- new version 0.9.1

* Sat Dec 08 2012 fwang <fwang> 0.9.0-1.mga3
+ Revision: 328018
- update file list
- new version 0.9.0

* Thu Sep 06 2012 fwang <fwang> 0.8.3-1.mga3
+ Revision: 288733
- new version 0.8.3

* Thu Jul 26 2012 fwang <fwang> 0.8.2-1.mga3
+ Revision: 274441
- new version 0.8.2

* Tue Jul 17 2012 fwang <fwang> 0.8.1-2.mga3
+ Revision: 271647
- add more features

* Tue Jul 17 2012 fwang <fwang> 0.8.1-1.mga3
+ Revision: 271642
- new version 0.8.1

* Tue Jun 05 2012 juancho <juancho> 0.7.1-1.mga3
+ Revision: 255949
- Added missing BR taglib-devel
- Updated to 0.7.1

* Thu Feb 02 2012 juancho <juancho> 0.3.0-1.mga2
+ Revision: 204003
- Updated to 0.3.0

* Mon Jan 09 2012 juancho <juancho> 0.2.0-2.mga2
+ Revision: 194223
- Removed now uneeded cmake option

* Mon Jan 09 2012 juancho <juancho> 0.2.0-1.mga2
+ Revision: 193698
- Updated to 0.2.0 - Upload sources
- Updated to 0.2.0

* Fri Jan 06 2012 juancho <juancho> 0.1.2-1.mga2
+ Revision: 192746
- imported package cantata

